package speiger.src.coreengine.rendering.tesselation;

import speiger.src.coreengine.rendering.tesselation.VertexElement.Usage;

public class VertexType
{
	public static final VertexElement POSITION_2F = new VertexElement(2, Usage.POS);
	public static final VertexElement POSITION_3F = new VertexElement(3, Usage.POS);
	public static final VertexElement TEXTURE_2F = new VertexElement(2, Usage.UV);
	public static final VertexElement COLOR_3F = new VertexElement(3, Usage.COLOR);
	public static final VertexElement COLOR_4F = new VertexElement(4, Usage.COLOR);
	public static final VertexElement NORMAL_3F = new VertexElement(3, Usage.NORMAL);
	public static final VertexElement CUSTOM_4F = new VertexElement(4, Usage.CUSTOM);
	
	public static final VertexList POS_COLOR_2F = new VertexList().add(POSITION_2F).add(COLOR_4F);
	public static final VertexList POS_COLOR_3F = new VertexList().add(POSITION_3F).add(COLOR_3F);
	public static final VertexList POS_COLOR_4F = new VertexList().add(POSITION_3F).add(COLOR_4F);
	public static final VertexList POS_TEX = new VertexList().add(POSITION_3F).add(TEXTURE_2F);
	public static final VertexList TERRAIN = new VertexList().add(POSITION_3F).add(COLOR_3F).add(NORMAL_3F);
	
	public static final VertexList UI = new VertexList().add(POSITION_3F).add(TEXTURE_2F).add(COLOR_4F);
	public static final VertexList IN_WORLD_UI = new VertexList().add(POSITION_3F).add(TEXTURE_2F).add(COLOR_4F).add(CUSTOM_4F);
}
